# azure.mgmt.datalake.analytics.catalog.models module

class `azure.mgmt.datalake.analytics.catalog.models.``AclCreateOrUpdateParameters`(*, ace_type, principal_id: str, permission, **kwargs)

  Bases: `msrest.serialization.Model`

  The parameters used to create or update an access control list (ACL) entry.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - ace_type (str or AclType) – Required. the access control list (ACL) entry type. UserObj and GroupObj denote the owning user and group, respectively. Possible values include: ‘UserObj’, ‘GroupObj’, ‘Other’, ‘User’, ‘Group’
  - principal_id (str) – Required. the Azure AD object ID of the user or group being specified in the access control list (ACL) entry.
  - permission (str or PermissionType) – Required. the permission type of the access control list (ACL) entry. Possible values include: ‘None’, ‘Use’, ‘Create’, ‘Drop’, ‘Alter’, ‘Write’, ‘All’

class `azure.mgmt.datalake.analytics.catalog.models.``AclDeleteParameters`(*, ace_type, principal_id: str, **kwargs)

  Bases: `msrest.serialization.Model`

  The parameters used to delete an access control list (ACL) entry.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - ace_type (str or AclType) – Required. the access control list (ACL) entry type. UserObj and GroupObj denote the owning user and group, respectively. Possible values include: ‘UserObj’, ‘GroupObj’, ‘Other’, ‘User’, ‘Group’
  - principal_id (str) – Required. the Azure AD object ID of the user or group being specified in the access control list (ACL) entry.

class `azure.mgmt.datalake.analytics.catalog.models.``Acl`(**kwargs)

  Bases: `msrest.serialization.Model`

  A Data Lake Analytics catalog access control list (ACL) entry.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - ace_type (str or AclType) – the access control list (ACL) entry type. UserObj and GroupObj denote the owning user and group, respectively. Possible values include: ‘UserObj’, ‘GroupObj’, ‘Other’, ‘User’, ‘Group’
  - principal_id (str) – the Azure AD object ID of the user or group being specified in the access control list (ACL) entry.
  - permission (str or PermissionType) – the permission type of the access control list (ACL) entry. Possible values include: ‘None’, ‘Use’, ‘Create’, ‘Drop’, ‘Alter’, ‘Write’, ‘All’

class `azure.mgmt.datalake.analytics.catalog.models.``DataLakeAnalyticsCatalogSecretCreateOrUpdateParameters`(*, password: str, uri: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Data Lake Analytics catalog secret creation and update parameters. This is deprecated and will be removed in the next release. Please use DataLakeAnalyticsCatalogCredentialCreateOrUpdateParameters instead.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - password (str) – Required. the password for the secret to pass in
  - uri (str) – the URI identifier for the secret in the format <hostname>:<port>

class `azure.mgmt.datalake.analytics.catalog.models.``DataLakeAnalyticsCatalogCredentialCreateParameters`(*, password: str, uri: str, user_id: str, **kwargs)

  Bases: `msrest.serialization.Model`

  Data Lake Analytics catalog credential creation parameters.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - password (str) – Required. the password for the credential and user with access to the data source.
  - uri (str) – Required. the URI identifier for the data source this credential can connect to in the format <hostname>:<port>
  - user_id (str) – Required. the object identifier for the user associated with this credential with access to the data source.

class `azure.mgmt.datalake.analytics.catalog.models.``DataLakeAnalyticsCatalogCredentialDeleteParameters`(*, password: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Data Lake Analytics catalog credential deletion parameters.

  Parameters: | password (str) – the current password for the credential and user with access to the data source. This is required if the requester is not the account owner.

class `azure.mgmt.datalake.analytics.catalog.models.``DataLakeAnalyticsCatalogCredentialUpdateParameters`(*, password: str = None, new_password: str = None, uri: str = None, user_id: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Data Lake Analytics catalog credential update parameters.

  Parameters:

  - password (str) – the current password for the credential and user with access to the data source. This is required if the requester is not the account owner.
  - new_password (str) – the new password for the credential and user with access to the data source.
  - uri (str) – the URI identifier for the data source this credential can connect to in the format <hostname>:<port>
  - user_id (str) – the object identifier for the user associated with this credential with access to the data source.

class `azure.mgmt.datalake.analytics.catalog.models.``USqlSecret`(*, compute_account_name: str = None, version: str = None, database_name: str = None, name: str = None, creation_time=None, uri: str = None, password: str = None, **kwargs)

  Bases: `azure.mgmt.datalake.analytics.catalog.models.catalog_item_py3.CatalogItem`

  A Data Lake Analytics catalog U-SQL secret item.

  Parameters:

  - compute_account_name (str) – the name of the Data Lake Analytics account.
  - version (str) – the version of the catalog item.
  - database_name (str) – the name of the database.
  - name (str) – the name of the secret.
  - creation_time (datetime) – the creation time of the credential object. This is the only information returned about a secret from a GET.
  - uri (str) – the URI identifier for the secret in the format <hostname>:<port>
  - password (str) – the password for the secret to pass in

class `azure.mgmt.datalake.analytics.catalog.models.``USqlExternalDataSource`(*, compute_account_name: str = None, version: str = None, database_name: str = None, name: str = None, provider: str = None, provider_string: str = None, pushdown_types=None, **kwargs)

  Bases: `azure.mgmt.datalake.analytics.catalog.models.catalog_item_py3.CatalogItem`

  A Data Lake Analytics catalog U-SQL external datasource item.

  Parameters:

  - compute_account_name (str) – the name of the Data Lake Analytics account.
  - version (str) – the version of the catalog item.
  - database_name (str) – the name of the database.
  - name (str) – the name of the external data source.
  - provider (str) – the name of the provider for the external data source.
  - provider_string (str) – the name of the provider string for the external data source.
  - pushdown_types (list[str]) – the list of types to push down from the external data source.

class `azure.mgmt.datalake.analytics.catalog.models.``USqlCredential`(*, compute_account_name: str = None, version: str = None, name: str = None, **kwargs)

  Bases: `azure.mgmt.datalake.analytics.catalog.models.catalog_item_py3.CatalogItem`

  A Data Lake Analytics catalog U-SQL credential item.

  Parameters:

  - compute_account_name (str) – the name of the Data Lake Analytics account.
  - version (str) – the version of the catalog item.
  - name (str) – the name of the credential.

class `azure.mgmt.datalake.analytics.catalog.models.``USqlProcedure`(*, compute_account_name: str = None, version: str = None, database_name: str = None, schema_name: str = None, name: str = None, definition: str = None, **kwargs)

  Bases: `azure.mgmt.datalake.analytics.catalog.models.catalog_item_py3.CatalogItem`

  A Data Lake Analytics catalog U-SQL procedure item.

  Parameters:

  - compute_account_name (str) – the name of the Data Lake Analytics account.
  - version (str) – the version of the catalog item.
  - database_name (str) – the name of the database.
  - schema_name (str) – the name of the schema associated with this procedure and database.
  - name (str) – the name of the procedure.
  - definition (str) – the defined query of the procedure.

class `azure.mgmt.datalake.analytics.catalog.models.``USqlTableColumn`(*, name: str = None, type: str = None, column_name=None, data_type=None, **kwargs)

  Bases: `msrest.serialization.Model`

  A Data Lake Analytics catalog U-SQL table column item.

  Parameters:

  - name (str) – the name of the column in the table.
  - type (str) – the object type of the specified column (such as System.String).

class `azure.mgmt.datalake.analytics.catalog.models.``USqlDirectedColumn`(*, name: str = None, descending: bool = None, **kwargs)

  Bases: `msrest.serialization.Model`

  A Data Lake Analytics catalog U-SQL directed column item.

  Parameters:

  - name (str) – the name of the index in the table.
  - descending (bool) – the switch indicating if the index is descending or not.

class `azure.mgmt.datalake.analytics.catalog.models.``USqlDistributionInfo`(*, type: int = None, keys=None, count: int = None, dynamic_count: int = None, **kwargs)

  Bases: `msrest.serialization.Model`

  A Data Lake Analytics catalog U-SQL distribution information object.

  Parameters:

  - type (int) – the type of this distribution.
  - keys (list[USqlDirectedColumn]) – the list of directed columns in the distribution
  - count (int) – the count of indices using this distribution.
  - dynamic_count (int) – the dynamic count of indices using this distribution.

class `azure.mgmt.datalake.analytics.catalog.models.``USqlIndex`(*, name: str = None, index_keys=None, columns=None, distribution_info=None, partition_function: str = None, partition_key_list=None, stream_names=None, is_columnstore: bool = None, index_id: int = None, is_unique: bool = None, **kwargs)

  Bases: `msrest.serialization.Model`

  A Data Lake Analytics catalog U-SQL table index item.

  Parameters:

  - name (str) – the name of the index in the table.
  - index_keys (list[USqlDirectedColumn]) – the list of directed columns in the index
  - columns (list[str]) – the list of columns in the index
  - distribution_info (USqlDistributionInfo) – the distributions info of the index
  - partition_function (str) – partition function ID for the index.
  - partition_key_list (list[str]) – the list of partion keys in the index
  - stream_names (list[str]) – the list of full paths to the streams that contain this index in the DataLake account.
  - is_columnstore (bool) – the switch indicating if this index is a columnstore index.
  - index_id (int) – the ID of this index within the table.
  - is_unique (bool) – the switch indicating if this index is a unique index.

class `azure.mgmt.datalake.analytics.catalog.models.``DdlName`(*, first_part: str = None, second_part: str = None, third_part: str = None, server: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  A Data Lake Analytics DDL name item.

  Parameters:

  - first_part (str) – the name of the table associated with this database and schema.
  - second_part (str) – the name of the table associated with this database and schema.
  - third_part (str) – the name of the table associated with this database and schema.
  - server (str) – the name of the table associated with this database and schema.

class `azure.mgmt.datalake.analytics.catalog.models.``EntityId`(*, name=None, version: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  A Data Lake Analytics catalog entity identifier object.

  Parameters:

  - name (DdlName) – the name of the external table associated with this database, schema and table.
  - version (str) – the version of the external data source.

class `azure.mgmt.datalake.analytics.catalog.models.``ExternalTable`(*, table_name: str = None, data_source=None, **kwargs)

  Bases: `msrest.serialization.Model`

  A Data Lake Analytics catalog external table item.

  Parameters:

  - table_name (str) – the name of the table associated with this database and schema.
  - data_source (EntityId) – the data source associated with this external table.

class `azure.mgmt.datalake.analytics.catalog.models.``TypeFieldInfo`(*, name: str = None, type: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  A Data Lake Analytics catalog type field information item.

  Parameters:

  - name (str) – the name of the field associated with this type.
  - type (str) – the type of the field.

class `azure.mgmt.datalake.analytics.catalog.models.``USqlTablePreview`(*, total_row_count: int = None, total_column_count: int = None, rows=None, truncated: bool = None, schema=None, **kwargs)

  Bases: `msrest.serialization.Model`

  A Data Lake Analytics catalog table or partition preview rows item.

  Parameters:

  - total_row_count (long) – the total number of rows in the table or partition.
  - total_column_count (long) – the total number of columns in the table or partition.
  - rows (list[list[str]]) – the rows of the table or partition preview, where each row is an array of string representations the row’s values. Note: Byte arrays will appear as base-64 encoded values, SqlMap and SqlArray objects will appear as escaped JSON objects, and DateTime objects will appear as ISO formatted UTC date-times.
  - truncated (bool) – true if the amount of data in the response is less than expected due to the preview operation’s size limitations. This can occur if the requested rows or row counts are too large.
  - schema (list[USqlTableColumn]) – the schema of the table or partition.

class `azure.mgmt.datalake.analytics.catalog.models.``USqlTable`(*, compute_account_name: str = None, version: str = None, database_name: str = None, schema_name: str = None, name: str = None, column_list=None, index_list=None, partition_key_list=None, external_table=None, distribution_info=None, **kwargs)

  Bases: `azure.mgmt.datalake.analytics.catalog.models.catalog_item_py3.CatalogItem`

  A Data Lake Analytics catalog U-SQL table item.

  Parameters:

  - compute_account_name (str) – the name of the Data Lake Analytics account.
  - version (str) – the version of the catalog item.
  - database_name (str) – the name of the database.
  - schema_name (str) – the name of the schema associated with this table and database.
  - name (str) – the name of the table.
  - column_list (list[USqlTableColumn]) – the list of columns in this table
  - index_list (list[USqlIndex]) – the list of indices in this table
  - partition_key_list (list[str]) – the list of partition keys in the table
  - external_table (ExternalTable) – the external table associated with the table.
  - distribution_info (USqlDistributionInfo) – the distributions info of the table

class `azure.mgmt.datalake.analytics.catalog.models.``USqlTableFragment`(*, parent_id: str = None, fragment_id: str = None, index_id: int = None, size: int = None, row_count: int = None, create_date=None, **kwargs)

  Bases: `msrest.serialization.Model`

  A Data Lake Analytics catalog U-SQL table fragment item.

  Parameters:

  - parent_id (str) – the parent object Id of the table fragment. The parent could be a table or table partition.
  - fragment_id (str) – the version of the catalog item.
  - index_id (int) – the ordinal of the index which contains the table fragment.
  - size (long) – the data size of the table fragment in bytes.
  - row_count (long) – the number of rows in the table fragment.
  - create_date (datetime) – the creation time of the table fragment.

class `azure.mgmt.datalake.analytics.catalog.models.``USqlTableType`(*, compute_account_name: str = None, version: str = None, database_name: str = None, schema_name: str = None, name: str = None, type_family: str = None, c_sharp_name: str = None, full_csharp_name: str = None, system_type_id: int = None, user_type_id: int = None, schema_id: int = None, principal_id: int = None, is_nullable: bool = None, is_user_defined: bool = None, is_assembly_type: bool = None, is_table_type: bool = None, is_complex_type: bool = None, **kwargs)

  Bases: `azure.mgmt.datalake.analytics.catalog.models.usql_type_py3.USqlType`

  A Data Lake Analytics catalog U-SQL table type item.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters:

  - compute_account_name (str) – the name of the Data Lake Analytics account.
  - version (str) – the version of the catalog item.
  - database_name (str) – the name of the database.
  - schema_name (str) – the name of the schema associated with this table and database.
  - name (str) – the name of type for this type.
  - type_family (str) – the type family for this type.
  - c_sharp_name (str) – the C# name for this type.
  - full_csharp_name (str) – the fully qualified C# name for this type.
  - system_type_id (int) – the system type ID for this type.
  - user_type_id (int) – the user type ID for this type.
  - schema_id (int) – the schema ID for this type.
  - principal_id (int) – the principal ID for this type.
  - is_nullable (bool) – the the switch indicating if this type is nullable.
  - is_user_defined (bool) – the the switch indicating if this type is user defined.
  - is_assembly_type (bool) – the the switch indicating if this type is an assembly type.
  - is_table_type (bool) – the the switch indicating if this type is a table type.
  - is_complex_type (bool) – the the switch indicating if this type is a complex type.

  Variables: | columns (list[TypeFieldInfo]) – the type field information associated with this table type.

class `azure.mgmt.datalake.analytics.catalog.models.``USqlView`(*, compute_account_name: str = None, version: str = None, database_name: str = None, schema_name: str = None, name: str = None, definition: str = None, **kwargs)

  Bases: `azure.mgmt.datalake.analytics.catalog.models.catalog_item_py3.CatalogItem`

  A Data Lake Analytics catalog U-SQL view item.

  Parameters:

  - compute_account_name (str) – the name of the Data Lake Analytics account.
  - version (str) – the version of the catalog item.
  - database_name (str) – the name of the database.
  - schema_name (str) – the name of the schema associated with this view and database.
  - name (str) – the name of the view.
  - definition (str) – the defined query of the view.

class `azure.mgmt.datalake.analytics.catalog.models.``USqlPackage`(*, compute_account_name: str = None, version: str = None, database_name: str = None, schema_name: str = None, name: str = None, definition: str = None, **kwargs)

  Bases: `azure.mgmt.datalake.analytics.catalog.models.catalog_item_py3.CatalogItem`

  A Data Lake Analytics catalog U-SQL package item.

  Parameters:

  - compute_account_name (str) – the name of the Data Lake Analytics account.
  - version (str) – the version of the catalog item.
  - database_name (str) – the name of the database containing the package.
  - schema_name (str) – the name of the schema associated with this package and database.
  - name (str) – the name of the package.
  - definition (str) – the definition of the package.

class `azure.mgmt.datalake.analytics.catalog.models.``USqlTablePartition`(*, compute_account_name: str = None, version: str = None, database_name: str = None, schema_name: str = None, name: str = None, parent_name=None, index_id: int = None, label=None, create_date=None, **kwargs)

  Bases: `azure.mgmt.datalake.analytics.catalog.models.catalog_item_py3.CatalogItem`

  A Data Lake Analytics catalog U-SQL table partition item.

  Parameters:

  - compute_account_name (str) – the name of the Data Lake Analytics account.
  - version (str) – the version of the catalog item.
  - database_name (str) – the name of the database.
  - schema_name (str) – the name of the schema associated with this table partition and database.
  - name (str) – the name of the table partition.
  - parent_name (DdlName) – the Ddl object of the partition’s parent.
  - index_id (int) – the index ID for this partition.
  - label (list[str]) – the list of labels associated with this partition.
  - create_date (datetime) – the creation time of the partition

class `azure.mgmt.datalake.analytics.catalog.models.``USqlTableStatistics`(*, compute_account_name: str = None, version: str = None, database_name: str = None, schema_name: str = None, table_name: str = None, name: str = None, user_stat_name: str = None, stat_data_path: str = None, create_time=None, update_time=None, is_user_created: bool = None, is_auto_created: bool = None, has_filter: bool = None, filter_definition: str = None, col_names=None, **kwargs)

  Bases: `azure.mgmt.datalake.analytics.catalog.models.catalog_item_py3.CatalogItem`

  A Data Lake Analytics catalog U-SQL table statistics item.

  Parameters:

  - compute_account_name (str) – the name of the Data Lake Analytics account.
  - version (str) – the version of the catalog item.
  - database_name (str) – the name of the database.
  - schema_name (str) – the name of the schema associated with this table and database.
  - table_name (str) – the name of the table.
  - name (str) – the name of the table statistics.
  - user_stat_name (str) – the name of the user statistics.
  - stat_data_path (str) – the path to the statistics data.
  - create_time (datetime) – the creation time of the statistics.
  - update_time (datetime) – the last time the statistics were updated.
  - is_user_created (bool) – the switch indicating if these statistics are user created.
  - is_auto_created (bool) – the switch indicating if these statistics are automatically created.
  - has_filter (bool) – the switch indicating if these statistics have a filter.
  - filter_definition (str) – the filter definition for the statistics.
  - col_names (list[str]) – the list of column names associated with these statistics.

class `azure.mgmt.datalake.analytics.catalog.models.``USqlType`(*, compute_account_name: str = None, version: str = None, database_name: str = None, schema_name: str = None, name: str = None, type_family: str = None, c_sharp_name: str = None, full_csharp_name: str = None, system_type_id: int = None, user_type_id: int = None, schema_id: int = None, principal_id: int = None, is_nullable: bool = None, is_user_defined: bool = None, is_assembly_type: bool = None, is_table_type: bool = None, is_complex_type: bool = None, **kwargs)

  Bases: `azure.mgmt.datalake.analytics.catalog.models.catalog_item_py3.CatalogItem`

  A Data Lake Analytics catalog U-SQL type item.

  Parameters:

  - compute_account_name (str) – the name of the Data Lake Analytics account.
  - version (str) – the version of the catalog item.
  - database_name (str) – the name of the database.
  - schema_name (str) – the name of the schema associated with this table and database.
  - name (str) – the name of type for this type.
  - type_family (str) – the type family for this type.
  - c_sharp_name (str) – the C# name for this type.
  - full_csharp_name (str) – the fully qualified C# name for this type.
  - system_type_id (int) – the system type ID for this type.
  - user_type_id (int) – the user type ID for this type.
  - schema_id (int) – the schema ID for this type.
  - principal_id (int) – the principal ID for this type.
  - is_nullable (bool) – the the switch indicating if this type is nullable.
  - is_user_defined (bool) – the the switch indicating if this type is user defined.
  - is_assembly_type (bool) – the the switch indicating if this type is an assembly type.
  - is_table_type (bool) – the the switch indicating if this type is a table type.
  - is_complex_type (bool) – the the switch indicating if this type is a complex type.

class `azure.mgmt.datalake.analytics.catalog.models.``USqlTableValuedFunction`(*, compute_account_name: str = None, version: str = None, database_name: str = None, schema_name: str = None, name: str = None, definition: str = None, **kwargs)

  Bases: `azure.mgmt.datalake.analytics.catalog.models.catalog_item_py3.CatalogItem`

  A Data Lake Analytics catalog U-SQL table valued function item.

  Parameters:

  - compute_account_name (str) – the name of the Data Lake Analytics account.
  - version (str) – the version of the catalog item.
  - database_name (str) – the name of the database.
  - schema_name (str) – the name of the schema associated with this database.
  - name (str) – the name of the table valued function.
  - definition (str) – the definition of the table valued function.

class `azure.mgmt.datalake.analytics.catalog.models.``USqlAssemblyFileInfo`(*, type=None, original_path: str = None, content_path: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  A Data Lake Analytics catalog U-SQL assembly file information item.

  Parameters:

  - type (str or FileType) – the assembly file type. Possible values include: ‘Assembly’, ‘Resource’, ‘Nodeploy’
  - original_path (str) – the the original path to the assembly file.
  - content_path (str) – the the content path to the assembly file.

class `azure.mgmt.datalake.analytics.catalog.models.``USqlAssemblyDependencyInfo`(*, entity_id=None, **kwargs)

  Bases: `msrest.serialization.Model`

  A Data Lake Analytics catalog U-SQL dependency information item.

  Parameters: | entity_id (EntityId) – the EntityId of the dependency.

class `azure.mgmt.datalake.analytics.catalog.models.``USqlAssembly`(*, compute_account_name: str = None, version: str = None, database_name: str = None, name: str = None, clr_name: str = None, is_visible: bool = None, is_user_defined: bool = None, files=None, dependencies=None, **kwargs)

  Bases: `azure.mgmt.datalake.analytics.catalog.models.catalog_item_py3.CatalogItem`

  A Data Lake Analytics catalog U-SQL Assembly.

  Parameters:

  - compute_account_name (str) – the name of the Data Lake Analytics account.
  - version (str) – the version of the catalog item.
  - database_name (str) – the name of the database.
  - name (str) – the name of the assembly.
  - clr_name (str) – the name of the CLR.
  - is_visible (bool) – the switch indicating if this assembly is visible or not.
  - is_user_defined (bool) – the switch indicating if this assembly is user defined or not.
  - files (list[USqlAssemblyFileInfo]) – the list of files associated with the assembly
  - dependencies (list[USqlAssemblyDependencyInfo]) – the list of dependencies associated with the assembly

class `azure.mgmt.datalake.analytics.catalog.models.``USqlAssemblyClr`(*, compute_account_name: str = None, version: str = None, database_name: str = None, name: str = None, clr_name: str = None, **kwargs)

  Bases: `azure.mgmt.datalake.analytics.catalog.models.catalog_item_py3.CatalogItem`

  A Data Lake Analytics catalog U-SQL assembly CLR item.

  Parameters:

  - compute_account_name (str) – the name of the Data Lake Analytics account.
  - version (str) – the version of the catalog item.
  - database_name (str) – the name of the database.
  - name (str) – the name of the assembly.
  - clr_name (str) – the name of the CLR.

class `azure.mgmt.datalake.analytics.catalog.models.``USqlSchema`(*, compute_account_name: str = None, version: str = None, database_name: str = None, name: str = None, **kwargs)

  Bases: `azure.mgmt.datalake.analytics.catalog.models.catalog_item_py3.CatalogItem`

  A Data Lake Analytics catalog U-SQL schema item.

  Parameters:

  - compute_account_name (str) – the name of the Data Lake Analytics account.
  - version (str) – the version of the catalog item.
  - database_name (str) – the name of the database.
  - name (str) – the name of the schema.

class `azure.mgmt.datalake.analytics.catalog.models.``USqlDatabase`(*, compute_account_name: str = None, version: str = None, name: str = None, **kwargs)

  Bases: `azure.mgmt.datalake.analytics.catalog.models.catalog_item_py3.CatalogItem`

  A Data Lake Analytics catalog U-SQL database item.

  Parameters:

  - compute_account_name (str) – the name of the Data Lake Analytics account.
  - version (str) – the version of the catalog item.
  - name (str) – the name of the database.

class `azure.mgmt.datalake.analytics.catalog.models.``CatalogItem`(*, compute_account_name: str = None, version: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  A Data Lake Analytics catalog item.

  Parameters:

  - compute_account_name (str) – the name of the Data Lake Analytics account.
  - version (str) – the version of the catalog item.

class `azure.mgmt.datalake.analytics.catalog.models.``CatalogItemList`(*, next_link: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  A Data Lake Analytics catalog item list.

  Parameters: | next_link (str) – the link to the next page of results.

class `azure.mgmt.datalake.analytics.catalog.models.``USqlCredentialPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `USqlCredential` object

class `azure.mgmt.datalake.analytics.catalog.models.``USqlExternalDataSourcePaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `USqlExternalDataSource` object

class `azure.mgmt.datalake.analytics.catalog.models.``USqlProcedurePaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `USqlProcedure` object

class `azure.mgmt.datalake.analytics.catalog.models.``USqlTableFragmentPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `USqlTableFragment` object

class `azure.mgmt.datalake.analytics.catalog.models.``USqlTablePaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `USqlTable` object

class `azure.mgmt.datalake.analytics.catalog.models.``USqlTableStatisticsPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `USqlTableStatistics` object

class `azure.mgmt.datalake.analytics.catalog.models.``USqlTableTypePaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `USqlTableType` object

class `azure.mgmt.datalake.analytics.catalog.models.``USqlPackagePaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `USqlPackage` object

class `azure.mgmt.datalake.analytics.catalog.models.``USqlViewPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `USqlView` object

class `azure.mgmt.datalake.analytics.catalog.models.``USqlTablePartitionPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `USqlTablePartition` object

class `azure.mgmt.datalake.analytics.catalog.models.``USqlTypePaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `USqlType` object

class `azure.mgmt.datalake.analytics.catalog.models.``USqlTableValuedFunctionPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `USqlTableValuedFunction` object

class `azure.mgmt.datalake.analytics.catalog.models.``USqlAssemblyClrPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `USqlAssemblyClr` object

class `azure.mgmt.datalake.analytics.catalog.models.``USqlSchemaPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `USqlSchema` object

class `azure.mgmt.datalake.analytics.catalog.models.``AclPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `Acl` object

class `azure.mgmt.datalake.analytics.catalog.models.``USqlDatabasePaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `USqlDatabase` object

class `azure.mgmt.datalake.analytics.catalog.models.``AclType`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `group` = 'Group'
  `group_obj` = 'GroupObj'
  `other` = 'Other'
  `user` = 'User'
  `user_obj` = 'UserObj'

class `azure.mgmt.datalake.analytics.catalog.models.``PermissionType`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `all` = 'All'
  `alter` = 'Alter'
  `create` = 'Create'
  `drop` = 'Drop'
  `none` = 'None'
  `use` = 'Use'
  `write` = 'Write'

class `azure.mgmt.datalake.analytics.catalog.models.``FileType`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `assembly` = 'Assembly'
  `nodeploy` = 'Nodeploy'
  `resource` = 'Resource'